javax.validation

## Interface ConstraintValidatorContext.ConstraintViolationBuilder.NodeContextBuilder

- Enclosing interface:
    ConstraintValidatorContext.ConstraintViolationBuilder

      public static interface ConstraintValidatorContext.ConstraintViolationBuilder.NodeContextBuilder

  Represents refinement choices for a node which is in an `Iterator` or `Map`.

  If the iterator is an indexed collection or a map, the index or the key should be set.

  The node is not necessarily a leaf node (i.e. subnodes can be added).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext` | `addBeanNode()` Adds a bean node (class-level) to the path the `ConstraintViolation` will be associated to.
    `ConstraintValidatorContext` | `addConstraintViolation()` Adds the new `ConstraintViolation` to be generated if the constraint validator mark the value as invalid.
    `ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext` | `addNode(String name)` Deprecated. since 1.1 - replaced by `addPropertyNode(String)` and `addBeanNode()`
    `ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext` | `addPropertyNode(String name)` Adds a property node to the path the `ConstraintViolation` will be associated to.
    `ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext` | `atIndex(Integer index)` Defines the index the object is into the `List` or array.
    `ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext` | `atKey(Object key)` Defines the key the object is into the `Map`.

- - ### Method Detail

    - #### atKey

          ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext atKey(Object key)

      Defines the key the object is into the `Map`.
      Parameters:
        `key` - map key
      Returns:
        a builder representing the current node

    - #### atIndex

          ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext atIndex(Integer index)

      Defines the index the object is into the `List` or array.
      Parameters:
        `index` - index
      Returns:
        a builder representing the current node

    - #### addNode

          ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext addNode(String name)

      Deprecated. since 1.1 - replaced by `addPropertyNode(String)` and `addBeanNode()`
      Adds a node to the path the `ConstraintViolation` will be associated to. `name` describes a single property. In particular, dot (.) is not allowed.
      Parameters:
        `name` - property name
      Returns:
        a builder representing node `name`

    - #### addPropertyNode

          ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext addPropertyNode(String name)

      Adds a property node to the path the `ConstraintViolation` will be associated to. `name` describes a single property. In particular, dot (.) is not allowed.
      Parameters:
        `name` - property name
      Returns:
        a builder representing node `name`
      Throws:
        `IllegalArgumentException` - if the name is null
      Since:
        1.1

    - #### addBeanNode

          ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext addBeanNode()

      Adds a bean node (class-level) to the path the `ConstraintViolation` will be associated to.

      Note that bean nodes are always leaf nodes.
      Returns:
        a builder representing the bean node
      Since:
        1.1

    - #### addConstraintViolation

          ConstraintValidatorContext addConstraintViolation()

      Adds the new `ConstraintViolation` to be generated if the constraint validator mark the value as invalid.

      Methods of the `ConstraintViolationBuilder` instance this object comes from and the constraint violation builder nested objects throw `IllegalStateException` after this call.
      Returns:
        `ConstraintValidatorContext` instance the `ConstraintViolationBuilder` comes from

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.